diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js
index 16294466..0bbf66a1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js
@@ -237,367 +240,367 @@ define('pgadmin.node.exclusion_constraint', [
                 } else {
                   Backform.NodeListByNameControl.prototype.initialize.apply(this, arguments);
                 }
-            },
-            removeColumn: function (m) {
-              var that = this;
-              setTimeout(function   () {
-                that.custom_options();
-                that.render.apply(that);
-              }, 50);
-            },
-            resetColOptions: function(m) {
-              var that = this;
+              },
+              removeColumn: function () {
+                var that = this;
+                setTimeout(function   () {
+                  that.custom_options();
+                  that.render.apply(that);
+                }, 50);
+              },
+              resetColOptions: function(m) {
+                var that = this;
 
-              if (m.previous('name') ==  self.headerData.get('column')) {
-                /*
-                 * Table column name has changed so update
-                 * column name in exclusion constraint as well.
-                 */
-                self.headerData.set(
-                  {"column": m.get('name')});
+                if (m.previous('name') ==  self.headerData.get('column')) {
+                  /*
+                   * Table column name has changed so update
+                   * column name in exclusion constraint as well.
+                   */
+                  self.headerData.set(
+                    {'column': m.get('name')});
                   self.headerDataChanged();
-              }
+                }
 
-              setTimeout(function () {
-                that.custom_options();
-                that.render.apply(that);
-              }, 50);
-            },
-            custom_options: function() {
-              // We will add all the columns entered by user in table model
-              var columns = self.model.top.get('columns'),
+                setTimeout(function () {
+                  that.custom_options();
+                  that.render.apply(that);
+                }, 50);
+              },
+              custom_options: function() {
+                // We will add all the columns entered by user in table model
+                var columns = self.model.top.get('columns'),
                   added_columns_from_tables = [],
                   col_types = [];
 
-              if (columns.length > 0) {
-                _.each(columns.models, function(m) {
-                  var col = m.get('name');
-                  if(!_.isUndefined(col) && !_.isNull(col)) {
-                    added_columns_from_tables.push({
-                      label: col, value: col, image:'icon-column'
+                if (columns.length > 0) {
+                  _.each(columns.models, function(m) {
+                    var col = m.get('name');
+                    if(!_.isUndefined(col) && !_.isNull(col)) {
+                      added_columns_from_tables.push({
+                        label: col, value: col, image:'icon-column',
                       });
-                    col_types.push({name:col, type:m.get('cltype')});
-                  }
-                });
-              }
-              // Set the values in to options so that user can select
-              this.field.set('options', added_columns_from_tables);
-              self.field.set('col_types', col_types);
-            },
-            remove: function () {
-              if(self.model.handler) {
+                      col_types.push({name:col, type:m.get('cltype')});
+                    }
+                  });
+                }
+                // Set the values in to options so that user can select
+                this.field.set('options', added_columns_from_tables);
+                self.field.set('col_types', col_types);
+              },
+              remove: function () {
+                if(self.model.handler) {
                   var tableCols = self.model.top.get('columns');
                   this.stopListening(tableCols, 'remove' , this.removeColumn);
                   this.stopListening(tableCols, 'change:name' , this.resetColOptions);
                   this.stopListening(tableCols, 'change:cltype' , this.resetColOptions);
 
-                Backform.Select2Control.prototype.remove.apply(this, arguments);
+                  Backform.Select2Control.prototype.remove.apply(this, arguments);
 
-              } else {
-                Backform.NodeListByNameControl.prototype.remove.apply(this, arguments);
-              }
-            },
-            template: _.template([
-              '<div class="<%=Backform.controlsClassName%> <%=extraClasses.join(\' \')%>">',
-              '  <select class="pgadmin-node-select form-control" name="<%=name%>" style="width:100%;" value="<%-value%>" <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> >',
-              '    <% for (var i=0; i < options.length; i++) { %>',
-              '    <% var option = options[i]; %>',
-              '    <option <% if (option.image) { %> data-image=<%= option.image %> <% } %> value=<%= formatter.fromRaw(option.value) %> <%=option.value === rawValue ? "selected=\'selected\'" : "" %>><%-option.label%></option>',
-              '    <% } %>',
-              '  </select>',
-              '</div>'].join("\n"))
-          }),
-          transform: function(rows) {
-            // This will only get called in case of NodeListByNameControl.
-
-            var that = this,
+                } else {
+                  Backform.NodeListByNameControl.prototype.remove.apply(this, arguments);
+                }
+              },
+              template: _.template([
+                '<div class="<%=Backform.controlsClassName%> <%=extraClasses.join(\' \')%>">',
+                '  <select class="pgadmin-node-select form-control" name="<%=name%>" style="width:100%;" value="<%-value%>" <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> >',
+                '    <% for (var i=0; i < options.length; i++) { %>',
+                '    <% var option = options[i]; %>',
+                '    <option <% if (option.image) { %> data-image=<%= option.image %> <% } %> value=<%= formatter.fromRaw(option.value) %> <%=option.value === rawValue ? "selected=\'selected\'" : "" %>><%-option.label%></option>',
+                '    <% } %>',
+                '  </select>',
+                '</div>'].join('\n')),
+            }),
+            transform: function(rows) {
+              // This will only get called in case of NodeListByNameControl.
+
+              var that = this,
                 node = that.field.get('schema_node'),
                 res = [],
                 col_types = [],
                 filter = that.field.get('filter') || function() { return true; };
 
-            filter = filter.bind(that);
+              filter = filter.bind(that);
 
-            _.each(rows, function(r) {
-              if (filter(r)) {
-                var l = (_.isFunction(node['node_label']) ?
-                      (node['node_label']).apply(node, [r, that.model, that]) :
+              _.each(rows, function(r) {
+                if (filter(r)) {
+                  var l = (_.isFunction(node['node_label']) ?
+                    (node['node_label']).apply(node, [r, that.model, that]) :
                       r.label),
                     image = (_.isFunction(node['node_image']) ?
                       (node['node_image']).apply(
                         node, [r, that.model, that]
-                        ) :
-                      (node['node_image'] || ('icon-' + node.type)));
-                res.push({
-                  'value': r.label,
-                  'image': image,
-                  'label': l
-                });
-                col_types.push({name:r.label, type:r.datatype});
-              }
-            });
-            self.field.set('col_types', col_types);
-            return res;
-          },
-          canAdd: function(m) {
-            return !((_.has(m, 'handler') &&
-              !_.isUndefined(m.handler) &&
-              !_.isUndefined(m.get('oid'))) || (_.isFunction(m.isNew) && !m.isNew()));
-          },
-          select2: {
-            allowClear: false, width: 'style',
-            placeholder: 'Select column'
-          }, first_empty: !self.model.isNew(),
-          disabled: function(m) {
-            return !_.isUndefined(self.model.get('oid'));
-          }
-        }],
-        headerDefaults = {column: null},
+                      ) :
+                        (node['node_image'] || ('icon-' + node.type)));
+                  res.push({
+                    'value': r.label,
+                    'image': image,
+                    'label': l,
+                  });
+                  col_types.push({name:r.label, type:r.datatype});
+                }
+              });
+              self.field.set('col_types', col_types);
+              return res;
+            },
+            canAdd: function(m) {
+              return !((_.has(m, 'handler') &&
+                !_.isUndefined(m.handler) &&
+                  !_.isUndefined(m.get('oid'))) || (_.isFunction(m.isNew) && !m.isNew()));
+            },
+            select2: {
+              allowClear: false, width: 'style',
+              placeholder: 'Select column',
+            }, first_empty: !self.model.isNew(),
+            disabled: function() {
+              return !_.isUndefined(self.model.get('oid'));
+            },
+          }],
+          headerDefaults = {column: null},
 
-        gridCols = ['column', 'oper_class', 'order', 'nulls_order', 'operator'];
+          gridCols = ['column', 'oper_class', 'order', 'nulls_order', 'operator'];
 
-      self.headerData = new (Backbone.Model.extend({
-        defaults: headerDefaults,
-        schema: headerSchema
-      }))({});
+        self.headerData = new (Backbone.Model.extend({
+          defaults: headerDefaults,
+          schema: headerSchema,
+        }))({});
 
-      var headerGroups = Backform.generateViewSchema(
+        var headerGroups = Backform.generateViewSchema(
           self.field.get('node_info'), self.headerData, 'create',
           node, self.field.get('node_data')
-          ),
+        ),
           fields = [];
 
-      _.each(headerGroups, function(o) {
-        fields = fields.concat(o.fields);
-      });
+        _.each(headerGroups, function(o) {
+          fields = fields.concat(o.fields);
+        });
 
-      self.headerFields = new Backform.Fields(fields);
-      self.gridSchema = Backform.generateGridColumnsFromModel(
+        self.headerFields = new Backform.Fields(fields);
+        self.gridSchema = Backform.generateGridColumnsFromModel(
           self.field.get('node_info'), self.field.get('model'), 'edit', gridCols, self.field.get('schema_node')
-          );
+        );
 
-      self.controls = [];
-      self.listenTo(self.headerData, "change", self.headerDataChanged);
-      self.listenTo(self.headerData, "select2", self.headerDataChanged);
-      self.listenTo(self.collection, "add", self.onAddorRemoveColumns);
-      self.listenTo(self.collection, "remove", self.onAddorRemoveColumns);
-    },
+        self.controls = [];
+        self.listenTo(self.headerData, 'change', self.headerDataChanged);
+        self.listenTo(self.headerData, 'select2', self.headerDataChanged);
+        self.listenTo(self.collection, 'add', self.onAddorRemoveColumns);
+        self.listenTo(self.collection, 'remove', self.onAddorRemoveColumns);
+      },
 
-    generateHeader: function(data) {
-      var header = [
-        '<div class="subnode-header-form">',
-        ' <div class="container-fluid">',
-        '  <div class="row">',
-        '   <div class="col-xs-4">',
-        '    <label class="control-label"><%-column_label%></label>',
-        '   </div>',
-        '   <div class="col-xs-4" header="column"></div>',
-        '   <div class="col-xs-4">',
-        '     <button class="btn-sm btn-default add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%> ></button>',
-        '   </div>',
-        '  </div>',
-        ' </div>',
-        '</div>',].join("\n")
-
-      _.extend(data, {
-        column_label: gettext('Column')
-      });
-
-      var self = this,
+      generateHeader: function(data) {
+        var header = [
+          '<div class="subnode-header-form">',
+          ' <div class="container-fluid">',
+          '  <div class="row">',
+          '   <div class="col-xs-4">',
+          '    <label class="control-label"><%-column_label%></label>',
+          '   </div>',
+          '   <div class="col-xs-4" header="column"></div>',
+          '   <div class="col-xs-4">',
+          '     <button class="btn-sm btn-default add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%> ></button>',
+          '   </div>',
+          '  </div>',
+          ' </div>',
+          '</div>'].join('\n');
+
+        _.extend(data, {
+          column_label: gettext('Column'),
+        });
+
+        var self = this,
           headerTmpl = _.template(header),
           $header = $(headerTmpl(data)),
           controls = this.controls;
 
-      this.headerFields.each(function(field) {
-        var control = new (field.get("control"))({
-          field: field,
-          model: self.headerData
-        });
+        this.headerFields.each(function(field) {
+          var control = new (field.get('control'))({
+            field: field,
+            model: self.headerData,
+          });
 
-        $header.find('div[header="' + field.get('name') + '"]').append(
-          control.render().$el
-        );
+          $header.find('div[header="' + field.get('name') + '"]').append(
+            control.render().$el
+          );
 
-        controls.push(control);
-      });
+          controls.push(control);
+        });
 
-      // We should not show in properties mode
-      if (data.mode == 'properties') {
-        $header.html('');
-      }
+        // We should not show in properties mode
+        if (data.mode == 'properties') {
+          $header.html('');
+        }
 
-      self.$header = $header;
+        self.$header = $header;
 
-      return $header;
-    },
+        return $header;
+      },
 
-    events: _.extend(
-                  {}, Backform.UniqueColCollectionControl.prototype.events,
-                {'click button.add': 'addColumns'}
-                ),
+      events: _.extend(
+        {}, Backform.UniqueColCollectionControl.prototype.events,
+        {'click button.add': 'addColumns'}
+      ),
 
-    showGridControl: function(data) {
-      var self = this,
-          titleTmpl = _.template("<div class='subnode-header'></div>"),
+      showGridControl: function(data) {
+        var self = this,
+          titleTmpl = _.template('<div class=\'subnode-header\'></div>'),
           $gridBody =
-            $("<div class='pgadmin-control-group backgrid form-group col-xs-12 object subnode'></div>").append(
-              // Append titleTmpl only if create/edit mode
-              data.mode !== 'properties' ? titleTmpl({label: data.label}) : ''
-            );
+          $('<div class=\'pgadmin-control-group backgrid form-group col-xs-12 object subnode\'></div>').append(
+            // Append titleTmpl only if create/edit mode
+            data.mode !== 'properties' ? titleTmpl({label: data.label}) : ''
+          );
 
-      $gridBody.append(self.generateHeader(data));
+        $gridBody.append(self.generateHeader(data));
 
-      var gridColumns = _.clone(this.gridSchema.columns);
+        var gridColumns = _.clone(this.gridSchema.columns);
 
-      // Insert Delete Cell into Grid
-      if (data.disabled == false && data.canDelete) {
+        // Insert Delete Cell into Grid
+        if (data.disabled == false && data.canDelete) {
           gridColumns.unshift({
-            name: "pg-backform-delete", label: "",
+            name: 'pg-backform-delete', label: '',
             cell: Backgrid.Extension.DeleteCell,
-            editable: false, cell_priority: -1
+            editable: false, cell_priority: -1,
           });
-      }
+        }
 
-      if (self.grid) {
-        self.grid.remove();
-        self.grid.null;
-      }
-      // Initialize a new Grid instance
-      var grid = self.grid = new Backgrid.Grid({
-        columns: gridColumns,
-        collection: self.collection,
-        className: "backgrid table-bordered"
-      });
-      self.$grid = grid.render().$el;
-
-      $gridBody.append(self.$grid);
-
-      setTimeout(function() {
-        self.headerData.set({
-          'column': self.$header.find(
-            'div[header="column"] select'
-            ).val()
-            }, {silent:true}
+        if (self.grid) {
+          self.grid.remove();
+          self.grid.null;
+        }
+        // Initialize a new Grid instance
+        var grid = self.grid = new Backgrid.Grid({
+          columns: gridColumns,
+          collection: self.collection,
+          className: 'backgrid table-bordered',
+        });
+        self.$grid = grid.render().$el;
+
+        $gridBody.append(self.$grid);
+
+        setTimeout(function() {
+          self.headerData.set({
+            'column': self.$header.find(
+              'div[header="column"] select'
+            ).val(),
+          }, {silent:true}
           );
-      }, 10);
+        }, 10);
 
-      // Remove unwanted class from grid to display it properly
-      if(data.mode === 'properties')
-        $gridBody.find('.subnode-header-form').removeClass('subnode-header-form');
+        // Remove unwanted class from grid to display it properly
+        if(data.mode === 'properties')
+          $gridBody.find('.subnode-header-form').removeClass('subnode-header-form');
 
-      // Render node grid
-      return $gridBody;
-    },
+        // Render node grid
+        return $gridBody;
+      },
 
-    headerDataChanged: function() {
-      var self = this, val,
+      headerDataChanged: function() {
+        var self = this, val,
           data = this.headerData.toJSON(),
           inSelected = false,
           checkVars = ['column'];
 
-      if (!self.$header) {
-        return;
-      }
+        if (!self.$header) {
+          return;
+        }
 
-      if (self.control_data.canAdd) {
-        self.collection.each(function(m) {
-          if (!inSelected) {
-            _.each(checkVars, function(v) {
-              if (!inSelected) {
-                val = m.get(v);
-                inSelected = ((
-                  (_.isUndefined(val) || _.isNull(val)) &&
-                  (_.isUndefined(data[v]) || _.isNull(data[v]))
+        if (self.control_data.canAdd) {
+          self.collection.each(function(m) {
+            if (!inSelected) {
+              _.each(checkVars, function(v) {
+                if (!inSelected) {
+                  val = m.get(v);
+                  inSelected = ((
+                    (_.isUndefined(val) || _.isNull(val)) &&
+                      (_.isUndefined(data[v]) || _.isNull(data[v]))
                   ) ||
-                  (val == data[v]));
-              }
-            });
-          }
-        });
-      }
-      else {
-        inSelected = true;
-      }
+                      (val == data[v]));
+                }
+              });
+            }
+          });
+        }
+        else {
+          inSelected = true;
+        }
 
-      self.$header.find('button.add').prop('disabled', inSelected);
-    },
+        self.$header.find('button.add').prop('disabled', inSelected);
+      },
 
-    addColumns: function(ev) {
-      ev.preventDefault();
-      var self = this,
+      addColumns: function(ev) {
+        ev.preventDefault();
+        var self = this,
           column = self.headerData.get('column');
 
-      if (!column || column == '') {
-        return false;
-      }
+        if (!column || column == '') {
+          return false;
+        }
 
-      var coll = self.model.get(self.field.get('name')),
+        var coll = self.model.get(self.field.get('name')),
           m = new (self.field.get('model'))(
-                self.headerData.toJSON(), {
-                  silent: true, top: self.model.top,
-                  collection: coll, handler: coll
-                }),
+            self.headerData.toJSON(), {
+              silent: true, top: self.model.top,
+              collection: coll, handler: coll,
+            }),
           col_types =self.field.get('col_types') || [];
 
-      for(var i=0; i < col_types.length; i++) {
-        var col_type = col_types[i];
-        if (col_type['name'] ==  m.get('column')) {
+        for(var i=0; i < col_types.length; i++) {
+          var col_type = col_types[i];
+          if (col_type['name'] ==  m.get('column')) {
             m.set({'col_type':col_type['type']});
-          break;
+            break;
+          }
         }
-      }
 
-      coll.add(m);
+        coll.add(m);
 
-      var idx = coll.indexOf(m);
+        var idx = coll.indexOf(m);
 
-      // idx may not be always > -1 because our UniqueColCollection may
-      // remove 'm' if duplicate value found.
-      if (idx > -1) {
-        self.$grid.find('.new').removeClass('new');
+        // idx may not be always > -1 because our UniqueColCollection may
+        // remove 'm' if duplicate value found.
+        if (idx > -1) {
+          self.$grid.find('.new').removeClass('new');
 
-        var newRow = self.grid.body.rows[idx].$el;
+          var newRow = self.grid.body.rows[idx].$el;
 
-        newRow.addClass("new");
-        $(newRow).pgMakeVisible('backform-tab');
-      } else {
-        //delete m;
-      }
+          newRow.addClass('new');
+          $(newRow).pgMakeVisible('backform-tab');
+        } else {
+          //delete m;
+        }
 
-      return false;
-    },
+        return false;
+      },
 
-    onAddorRemoveColumns: function() {
-      var self = this;
+      onAddorRemoveColumns: function() {
+        var self = this;
 
-      // Wait for collection to be updated before checking for the button to be
-      // enabled, or not.
-      setTimeout(function() {
+        // Wait for collection to be updated before checking for the button to be
+        // enabled, or not.
+        setTimeout(function() {
           self.collection.trigger('pgadmin:columns:updated', self.collection);
-        self.headerDataChanged();
-      }, 10);
-    },
-
-    remove: function() {
-      /*
-       * Stop listening the events registered by this control.
-       */
-      this.stopListening(this.headerData, "change", this.headerDataChanged);
-      this.listenTo(this.headerData, "select2", this.headerDataChanged);
-      this.listenTo(this.collection, "remove", this.onAddorRemoveColumns);
+          self.headerDataChanged();
+        }, 10);
+      },
 
-      // Remove header controls.
-      _.each(this.controls, function(controls) {
-        controls.remove();
-      });
+      remove: function() {
+        /*
+         * Stop listening the events registered by this control.
+         */
+        this.stopListening(this.headerData, 'change', this.headerDataChanged);
+        this.listenTo(this.headerData, 'select2', this.headerDataChanged);
+        this.listenTo(this.collection, 'remove', this.onAddorRemoveColumns);
+
+        // Remove header controls.
+        _.each(this.controls, function(controls) {
+          controls.remove();
+        });
 
-      ExclusionConstraintColumnControl.__super__.remove.apply(this, arguments);
+        ExclusionConstraintColumnControl.__super__.remove.apply(this, arguments);
 
-      // Remove the header model
-      delete (this.headerData);
+        // Remove the header model
+        delete (this.headerData);
 
-    }
-  });
+      },
+    });
 
   // Extend the browser's node class for exclusion constraint node
   if (!pgBrowser.Nodes['exclusion_constraint']) {
@@ -619,7 +622,7 @@ define('pgadmin.node.exclusion_constraint', [
       Init: function() {
         /* Avoid multiple registration of menus */
         if (this.initialized)
-            return;
+          return;
 
         this.initialized = true;
 
@@ -628,7 +631,7 @@ define('pgadmin.node.exclusion_constraint', [
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Exclusion constraint...'),
           icon: 'wcTabIcon icon-exclusion_constraint', data: {action: 'create', check: true},
-          enable: 'canCreate'
+          enable: 'canCreate',
         }]);
       },
       is_not_valid: function(node) {
@@ -643,11 +646,11 @@ define('pgadmin.node.exclusion_constraint', [
           oid: undefined,
           comment: undefined,
           spcname: undefined,
-          amname: "gist",
+          amname: 'gist',
           fillfactor: undefined,
           condeferrable: undefined,
           condeferred: undefined,
-          columns: []
+          columns: [],
         },
 
         // Define the schema for the exclusion constraint node
@@ -656,7 +659,7 @@ define('pgadmin.node.exclusion_constraint', [
           mode: ['properties', 'create', 'edit'], editable: true,
         },{
           id: 'oid', label: gettext('OID'), cell: 'string',
-          type: 'text' , mode: ['properties']
+          type: 'text' , mode: ['properties'],
         },{
           id: 'comment', label: gettext('Comment'), cell: 'string',
           type: 'multiline', mode: ['properties', 'create', 'edit'],
@@ -664,14 +667,14 @@ define('pgadmin.node.exclusion_constraint', [
             var name = m.get('name');
             if (!(name && name != '')) {
               setTimeout(function(){
-              if(m.get('comment') && m.get('comment') !== '')
-                 m.set('comment', null);
+                if(m.get('comment') && m.get('comment') !== '')
+                  m.set('comment', null);
               },10);
               return true;
             } else {
               return false;
             }
-          }
+          },
         },{
           id: 'spcname', label: gettext('Tablespace'),
           type: 'text', group: gettext('Definition'),
@@ -679,65 +682,65 @@ define('pgadmin.node.exclusion_constraint', [
           select2:{allowClear:false},
           filter: function(m) {
             // Don't show pg_global tablespace in selection.
-            if (m.label == "pg_global") return false;
+            if (m.label == 'pg_global') return false;
             else return true;
-          }
+          },
         },{
           id: 'amname', label: gettext('Access method'),
           type: 'text', group: gettext('Definition'),
-          url:"get_access_methods", node: 'table',
+          url:'get_access_methods', node: 'table',
           control: Backform.NodeAjaxOptionsControl.extend({
             // When access method changes we need to clear columns collection
             onChange: function() {
               Backform.NodeAjaxOptionsControl.prototype.onChange.apply(this, arguments);
               var self = this,
-              // current access method
-              current_am = self.model.get('amname'),
-              // previous access method
-              previous_am = self.model.previous('amname'),
-              column_collection = self.model.get('columns');
+                // current access method
+                current_am = self.model.get('amname'),
+                // previous access method
+                previous_am = self.model.previous('amname'),
+                column_collection = self.model.get('columns');
 
               if (column_collection.length > 0 && current_am != previous_am) {
                 var msg = gettext('Changing access method will clear columns collection');
-                Alertify.confirm(msg, function (e) {
-                    // User clicks Ok, lets clear collection.
-                    column_collection.each(function(m) {
-                      /*
-                       * Our datamodel do not support collection reset method.
-                       * So remove model one by one.
-                       */
-                      column_collection.remove(m);
-                    });
-                    setTimeout(function() {
-                      column_collection.trigger('pgadmin:columns:updated', column_collection);
-                    }, 10);
-
-                  }, function() {
-                    // User clicks Cancel set previous value again in combo box
-                    setTimeout(function(){
-                      self.model.set('amname', previous_am);
-                    }, 10);
+                Alertify.confirm(msg, function () {
+                  // User clicks Ok, lets clear collection.
+                  column_collection.each(function(m) {
+                    /*
+                     * Our datamodel do not support collection reset method.
+                     * So remove model one by one.
+                     */
+                    column_collection.remove(m);
+                  });
+                  setTimeout(function() {
+                    column_collection.trigger('pgadmin:columns:updated', column_collection);
+                  }, 10);
+
+                }, function() {
+                  // User clicks Cancel set previous value again in combo box
+                  setTimeout(function(){
+                    self.model.set('amname', previous_am);
+                  }, 10);
                 });
               }
-            }
+            },
           }),
           select2:{allowClear:true},
           disabled: function(m) {
             return ((_.has(m, 'handler') &&
               !_.isUndefined(m.handler) &&
-              !_.isUndefined(m.get('oid'))) || (_.isFunction(m.isNew) && !m.isNew()));
-          }
+                !_.isUndefined(m.get('oid'))) || (_.isFunction(m.isNew) && !m.isNew()));
+          },
         },{
           id: 'fillfactor', label: gettext('Fill factor'),
-          type: 'int', group: gettext('Definition'), allowNull: true
+          type: 'int', group: gettext('Definition'), allowNull: true,
         },{
           id: 'condeferrable', label: gettext('Deferrable?'),
           type: 'switch', group: gettext('Definition'), deps: ['index'],
           disabled: function(m) {
             return ((_.has(m, 'handler') &&
               !_.isUndefined(m.handler) &&
-              !_.isUndefined(m.get('oid'))) || (_.isFunction(m.isNew) && !m.isNew()));
-          }
+                !_.isUndefined(m.get('oid'))) || (_.isFunction(m.isNew) && !m.isNew()));
+          },
         },{
           id: 'condeferred', label: gettext('Deferred?'),
           type: 'switch', group: gettext('Definition'),
@@ -745,7 +748,7 @@ define('pgadmin.node.exclusion_constraint', [
           disabled: function(m) {
             if((_.has(m, 'handler') &&
               !_.isUndefined(m.handler) &&
-              !_.isUndefined(m.get('oid'))) || (_.isFunction(m.isNew) && !m.isNew())) {
+                !_.isUndefined(m.get('oid'))) || (_.isFunction(m.isNew) && !m.isNew())) {
               return true;
             }
 
